/*
	Make figure 2B 
*/

clear all
set more off, perm

loc do_dir subroutines
use "../data/AggregatePC.dta", clear


* create lags
foreach var of var infl* P_fdEnrgy_chng neer_dollar_chng {
	forv ll = 0/5 {
		g l`ll'_`var' = l`ll'.`var'
	}
}
forval spec=2/2 {
* define the unemployment variable (u_rate in Spec1, u_gap in Spec2)
if `spec'==1 {
	loc measure = "u_rate"
}
else if `spec'==2 {
	loc measure = "u_gap"
	gen l1_`measure' = L1.u_gap
}
else if `spec'==3 {
	loc measure = "labor_share"
	gen l1_`measure' = L1.labor_share
}
else if `spec'==4 {
	loc measure = "labor_share_alt"
	gen l1_`measure' = L1.labor_share_alt
}
* Store general controls, piecewise controls & backward-looking exp terms (lags)
foreach var of var infl*core infl_cpi infl_pce infl_gdp { // PCE and CPI core
	loc `var'_controls "l1_P_fdEnrgy_chng - l2_P_fdEnrgy_chng gordon"
	qui ds `measure' 
	loc `var'_pcsws_ctrls "`r(varlist)'"
	loc `var'_backexp "l1_`var' - l5_`var'"
}


* define threshold variable: contemp. for PCE and CPI, first lag for GDP deflator

loc Uthresh_infl_pce_core  `measure'
loc Uthresh_infl_pce  `measure'
loc Uthresh_infl_cpi_core  `measure'
loc Uthresh_infl_cpi  `measure'
loc Uthresh_infl_gdp  `measure'

* expectation measures to use:
loc fwdexp exp_infl_MI /*exp_infl_SPF_cpi exp_infl_SPF_gdp_yrahd*/ exp_infl_SPF_gdp
loc fwdexp2 /*exp_infl_MI exp_infl_SPF_cpi exp_infl_SPF_gdp_yrahd*/ exp_infl_SPF_gdp

	foreach var of var infl_cpi {
		
		* MI, SPF GDP & backward looking exp
		loc expvars = "`fwdexp'" + " " +  "``var'_backexp'"
		loc expvars_2 = "`fwdexp2'" + " " + "``var'_backexp'"
		preserve
		do "`do_dir'/estFig2B.do" `var' `Uthresh_`var'' "``var'_pcsws_ctrls'" "``var'_controls'" "`expvars'" "`expvars_2'"
		restore
		
	}	
}
