/*
	Makes figure B6
*/

clear all
set more off
use "../data/AggregatePC.dta", clear


gen infl_minus_exp = infl_cpi - (L.infl_cpi + L2.infl_cpi + L3.infl_cpi + L4.infl_cpi)/4
la var infl_minus_exp "CPI - Exp."

 replace infl_minus_exp=. if infl_minus_exp<-10
 gen u_gap_low = (u_gap - 1.95)*(u_gap - 1.95 <= 0)
 gen u_gap_high = (u_gap - 1.95)*(u_gap - 1.95 > 0)
 
*Unemployment Gap
tw scatter infl_minus_exp u_gap if u_gap<1.95 & quarter>=q(1968q3), mc(black) || ///
   scatter infl_minus_exp u_gap if u_gap>=1.95 &  quarter>=q(1968q3), mc(red) || ///
   scatter infl_minus_exp u_gap if quarter>=q(2009q1) &  quarter<=q(2013q4), mc(blue)  || ///
   lfit    infl_minus_exp u_gap if quarter>=q(1968q3), lc(green) lw(1) || ///
   lfit	   infl_minus_exp u_gap if u_gap<1.95 & quarter>=q(1968q3), lc(black) lw(0.75) || ///
   lfit	   infl_minus_exp u_gap if u_gap>=1.95 & quarter>=q(1968q3), lc(red) lw(0.75) xline(1.95, lp(dash) lc(gray) lw(1.25)) ||, ///
    yti("Inflation net expectations, %", size(large))  ylab(-6(2)4, labsize(large) tp(i) angle(h) grid) ymti(-7(1)5, tp(i)) ///
	xti("Unemployment gap, %", size(large)) xlab(-2(2)4, labsize(large) tp(i) grid)  xmti(-3(1)6, tp(i)) ///
	scheme(s1color) plotregion(sty(none) margin(zero)) graphregion(margin(small)) legend(off) ///
	yline(0, lc(black) lw(medthin)) xline(0, lc(black) lw(medthin))
graph export "../figures/FigureB6.pdf", replace as(pdf)  fontface("Georgia")	
